import { defineStore } from 'pinia';
import { ref, computed } from 'vue';



export const tokenInfo = defineStore('tokenInfo',()=>{
  const token = ref('')
  const getToken = computed(()=>token.value)
  const updateToken = (data:string)=>{
    token.value = data
  }
  const clearToken = () => {
    token.value = ''
  }
  return {
    token,
    getToken,
    updateToken,
    clearToken
  }
},{
  persist:true,
})


export default tokenInfo;
